<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Frameset//EN""http://www.w3.org/TR/REC-html40/frameset.dtd">
<!--NewPage-->
<HTML>
<HEAD>
<!-- Generated by javadoc on Tue Jan 11 10:54:24 PST 2005 -->
<TITLE>
: Class  SQLExpressionsPackageImpl
</TITLE>
<LINK REL ="stylesheet" TYPE="text/css" HREF="../../../../../../../../../stylesheet.css" TITLE="Style">
</HEAD>
<BODY BGCOLOR="white">

<!-- ========== START OF NAVBAR ========== -->
<A NAME="navbar_top"><!-- --></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0">
<TR>
<TD COLSPAN=2 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_top_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../../../../../overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-summary.html"><FONT CLASS="NavBarFont1"><B>Package</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<FONT CLASS="NavBarFont1Rev"><B>Class</B></FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="class-use/SQLExpressionsPackageImpl.html"><FONT CLASS="NavBarFont1"><B>Use</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-tree.html"><FONT CLASS="NavBarFont1"><B>Tree</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../../../../../deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../../../../../index-files/index-1.html"><FONT CLASS="NavBarFont1"><B>Index</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../../../../../help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
</EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;<A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/expressions/impl/SQLExpressionsFactoryImpl.html"><B>PREV CLASS</B></A>&nbsp;
&nbsp;<A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/expressions/impl/ValueExpressionDefaultImpl.html"><B>NEXT CLASS</B></A></FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="../../../../../../../../../index.html" TARGET="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="SQLExpressionsPackageImpl.html" TARGET="_top"><B>NO FRAMES</B></A></FONT></TD>
</TR>
<TR>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
  SUMMARY: &nbsp;<A HREF="#inner_classes_inherited_from_class_org.eclipse.emf.common.notify.impl.BasicNotifierImpl">INNER</A>&nbsp;|&nbsp;<A HREF="#fields_inherited_from_class_org.eclipse.emf.ecore.impl.EObjectImpl">FIELD</A>&nbsp;|&nbsp;CONSTR&nbsp;|&nbsp;<A HREF="#method_summary">METHOD</A></FONT></TD>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
DETAIL: &nbsp;FIELD&nbsp;|&nbsp;CONSTR&nbsp;|&nbsp;<A HREF="#method_detail">METHOD</A></FONT></TD>
</TR>
</TABLE>
<!-- =========== END OF NAVBAR =========== -->

<HR>
<!-- ======== START OF CLASS DATA ======== -->
<H2>
<FONT SIZE="-1">
org.eclipse.wst.rdb.internal.models.sql.expressions.impl</FONT>
<BR>
Class  SQLExpressionsPackageImpl</H2>
<PRE>
java.lang.Object
  |
  +--org.eclipse.emf.common.notify.impl.BasicNotifierImpl
        |
        +--org.eclipse.emf.ecore.impl.BasicEObjectImpl
              |
              +--org.eclipse.emf.ecore.impl.EObjectImpl
                    |
                    +--org.eclipse.emf.ecore.impl.EModelElementImpl
                          |
                          +--org.eclipse.emf.ecore.impl.ENamedElementImpl
                                |
                                +--org.eclipse.emf.ecore.impl.EPackageImpl
                                      |
                                      +--<B>org.eclipse.wst.rdb.internal.models.sql.expressions.impl.SQLExpressionsPackageImpl</B>
</PRE>
<DL>
<DT><B>All Implemented Interfaces:</B> <DD>org.eclipse.emf.ecore.util.BasicExtendedMetaData.EPackageExtendedMetaData.Holder, org.eclipse.emf.ecore.EModelElement, org.eclipse.emf.ecore.ENamedElement, org.eclipse.emf.ecore.EObject, org.eclipse.emf.ecore.EPackage, org.eclipse.emf.ecore.InternalEObject, org.eclipse.emf.common.notify.Notifier, <A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/expressions/SQLExpressionsPackage.html">SQLExpressionsPackage</A></DD>
</DL>
<HR>
<DL>
<DT>public class <B>SQLExpressionsPackageImpl</B><DT>extends org.eclipse.emf.ecore.impl.EPackageImpl<DT>implements <A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/expressions/SQLExpressionsPackage.html">SQLExpressionsPackage</A></DL>

<P>
<!-- begin-user-doc -->
 An implementation of the model <b>Package</b>.
 <!-- end-user-doc -->
<P>
<HR>

<P>
<!-- ======== INNER CLASS SUMMARY ======== -->

<A NAME="inner_classes_inherited_from_class_org.eclipse.emf.common.notify.impl.BasicNotifierImpl"><!-- --></A>
<TABLE BORDER="1" CELLPADDING="3" CELLSPACING="0" WIDTH="100%">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TD><B>Inner classes inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl</B></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE>org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EAdapterList</CODE></TD>
</TR>
</TABLE>
&nbsp;<A NAME="inner_classes_inherited_from_class_org.eclipse.emf.ecore.EPackage"><!-- --></A>
<TABLE BORDER="1" CELLPADDING="3" CELLSPACING="0" WIDTH="100%">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TD><B>Inner classes inherited from class org.eclipse.emf.ecore.EPackage</B></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE>org.eclipse.emf.ecore.EPackage.Descriptor, org.eclipse.emf.ecore.EPackage.Registry</CODE></TD>
</TR>
</TABLE>
&nbsp;<A NAME="inner_classes_inherited_from_class_org.eclipse.emf.ecore.InternalEObject"><!-- --></A>
<TABLE BORDER="1" CELLPADDING="3" CELLSPACING="0" WIDTH="100%">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TD><B>Inner classes inherited from class org.eclipse.emf.ecore.InternalEObject</B></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE>org.eclipse.emf.ecore.InternalEObject.EStore</CODE></TD>
</TR>
</TABLE>
&nbsp;
<!-- =========== FIELD SUMMARY =========== -->

<A NAME="fields_inherited_from_class_org.eclipse.emf.ecore.impl.EObjectImpl"><!-- --></A>
<TABLE BORDER="1" CELLPADDING="3" CELLSPACING="0" WIDTH="100%">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TD><B>Fields inherited from class org.eclipse.emf.ecore.impl.EObjectImpl</B></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE>ELAST_EOBJECT_FLAG</CODE></TD>
</TR>
</TABLE>
&nbsp;<A NAME="fields_inherited_from_class_org.eclipse.wst.rdb.internal.models.sql.expressions.SQLExpressionsPackage"><!-- --></A>
<TABLE BORDER="1" CELLPADDING="3" CELLSPACING="0" WIDTH="100%">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TD><B>Fields inherited from interface org.eclipse.wst.rdb.internal.models.sql.expressions.<A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/expressions/SQLExpressionsPackage.html">SQLExpressionsPackage</A></B></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/expressions/SQLExpressionsPackage.html#eINSTANCE">eINSTANCE</A>, <A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/expressions/SQLExpressionsPackage.html#eNAME">eNAME</A>, <A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/expressions/SQLExpressionsPackage.html#eNS_PREFIX">eNS_PREFIX</A>, <A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/expressions/SQLExpressionsPackage.html#eNS_URI">eNS_URI</A>, <A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/expressions/SQLExpressionsPackage.html#QUERY_EXPRESSION">QUERY_EXPRESSION</A>, <A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/expressions/SQLExpressionsPackage.html#QUERY_EXPRESSION_DEFAULT">QUERY_EXPRESSION_DEFAULT</A>, <A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/expressions/SQLExpressionsPackage.html#QUERY_EXPRESSION_DEFAULT__DEPENDENCIES">QUERY_EXPRESSION_DEFAULT__DEPENDENCIES</A>, <A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/expressions/SQLExpressionsPackage.html#QUERY_EXPRESSION_DEFAULT__DESCRIPTION">QUERY_EXPRESSION_DEFAULT__DESCRIPTION</A>, <A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/expressions/SQLExpressionsPackage.html#QUERY_EXPRESSION_DEFAULT__EANNOTATIONS">QUERY_EXPRESSION_DEFAULT__EANNOTATIONS</A>, <A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/expressions/SQLExpressionsPackage.html#QUERY_EXPRESSION_DEFAULT__LABEL">QUERY_EXPRESSION_DEFAULT__LABEL</A>, <A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/expressions/SQLExpressionsPackage.html#QUERY_EXPRESSION_DEFAULT__NAME">QUERY_EXPRESSION_DEFAULT__NAME</A>, <A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/expressions/SQLExpressionsPackage.html#QUERY_EXPRESSION_DEFAULT__SQL">QUERY_EXPRESSION_DEFAULT__SQL</A>, <A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/expressions/SQLExpressionsPackage.html#QUERY_EXPRESSION_DEFAULT_FEATURE_COUNT">QUERY_EXPRESSION_DEFAULT_FEATURE_COUNT</A>, <A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/expressions/SQLExpressionsPackage.html#QUERY_EXPRESSION_FEATURE_COUNT">QUERY_EXPRESSION_FEATURE_COUNT</A>, <A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/expressions/SQLExpressionsPackage.html#SEARCH_CONDITION">SEARCH_CONDITION</A>, <A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/expressions/SQLExpressionsPackage.html#SEARCH_CONDITION_DEFAULT">SEARCH_CONDITION_DEFAULT</A>, <A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/expressions/SQLExpressionsPackage.html#SEARCH_CONDITION_DEFAULT__DEPENDENCIES">SEARCH_CONDITION_DEFAULT__DEPENDENCIES</A>, <A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/expressions/SQLExpressionsPackage.html#SEARCH_CONDITION_DEFAULT__DESCRIPTION">SEARCH_CONDITION_DEFAULT__DESCRIPTION</A>, <A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/expressions/SQLExpressionsPackage.html#SEARCH_CONDITION_DEFAULT__EANNOTATIONS">SEARCH_CONDITION_DEFAULT__EANNOTATIONS</A>, <A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/expressions/SQLExpressionsPackage.html#SEARCH_CONDITION_DEFAULT__LABEL">SEARCH_CONDITION_DEFAULT__LABEL</A>, <A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/expressions/SQLExpressionsPackage.html#SEARCH_CONDITION_DEFAULT__NAME">SEARCH_CONDITION_DEFAULT__NAME</A>, <A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/expressions/SQLExpressionsPackage.html#SEARCH_CONDITION_DEFAULT__SQL">SEARCH_CONDITION_DEFAULT__SQL</A>, <A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/expressions/SQLExpressionsPackage.html#SEARCH_CONDITION_DEFAULT_FEATURE_COUNT">SEARCH_CONDITION_DEFAULT_FEATURE_COUNT</A>, <A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/expressions/SQLExpressionsPackage.html#SEARCH_CONDITION_FEATURE_COUNT">SEARCH_CONDITION_FEATURE_COUNT</A>, <A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/expressions/SQLExpressionsPackage.html#VALUE_EXPRESSION">VALUE_EXPRESSION</A>, <A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/expressions/SQLExpressionsPackage.html#VALUE_EXPRESSION_DEFAULT">VALUE_EXPRESSION_DEFAULT</A>, <A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/expressions/SQLExpressionsPackage.html#VALUE_EXPRESSION_DEFAULT__DEPENDENCIES">VALUE_EXPRESSION_DEFAULT__DEPENDENCIES</A>, <A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/expressions/SQLExpressionsPackage.html#VALUE_EXPRESSION_DEFAULT__DESCRIPTION">VALUE_EXPRESSION_DEFAULT__DESCRIPTION</A>, <A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/expressions/SQLExpressionsPackage.html#VALUE_EXPRESSION_DEFAULT__EANNOTATIONS">VALUE_EXPRESSION_DEFAULT__EANNOTATIONS</A>, <A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/expressions/SQLExpressionsPackage.html#VALUE_EXPRESSION_DEFAULT__LABEL">VALUE_EXPRESSION_DEFAULT__LABEL</A>, <A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/expressions/SQLExpressionsPackage.html#VALUE_EXPRESSION_DEFAULT__NAME">VALUE_EXPRESSION_DEFAULT__NAME</A>, <A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/expressions/SQLExpressionsPackage.html#VALUE_EXPRESSION_DEFAULT__SQL">VALUE_EXPRESSION_DEFAULT__SQL</A>, <A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/expressions/SQLExpressionsPackage.html#VALUE_EXPRESSION_DEFAULT_FEATURE_COUNT">VALUE_EXPRESSION_DEFAULT_FEATURE_COUNT</A>, <A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/expressions/SQLExpressionsPackage.html#VALUE_EXPRESSION_FEATURE_COUNT">VALUE_EXPRESSION_FEATURE_COUNT</A></CODE></TD>
</TR>
</TABLE>
&nbsp;<A NAME="fields_inherited_from_class_org.eclipse.emf.ecore.InternalEObject"><!-- --></A>
<TABLE BORDER="1" CELLPADDING="3" CELLSPACING="0" WIDTH="100%">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TD><B>Fields inherited from interface org.eclipse.emf.ecore.InternalEObject</B></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE>EOPPOSITE_FEATURE_BASE</CODE></TD>
</TR>
</TABLE>
&nbsp;
<!-- ======== CONSTRUCTOR SUMMARY ======== -->


<!-- ========== METHOD SUMMARY =========== -->

<A NAME="method_summary"><!-- --></A>
<TABLE BORDER="1" CELLPADDING="3" CELLSPACING="0" WIDTH="100%">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TD COLSPAN=2><FONT SIZE="+2">
<B>Method Summary</B></FONT></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/expressions/impl/SQLExpressionsPackageImpl.html#createPackageContents()">createPackageContents</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Creates the meta-model objects for the package.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;org.eclipse.emf.ecore.EClass</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/expressions/impl/SQLExpressionsPackageImpl.html#getQueryExpression()">getQueryExpression</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<!-- begin-user-doc -->
 <!-- end-user-doc --></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;org.eclipse.emf.ecore.EAttribute</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/expressions/impl/SQLExpressionsPackageImpl.html#getQueryExpressionDefault_SQL()">getQueryExpressionDefault_SQL</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<!-- begin-user-doc -->
 <!-- end-user-doc --></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;org.eclipse.emf.ecore.EClass</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/expressions/impl/SQLExpressionsPackageImpl.html#getQueryExpressionDefault()">getQueryExpressionDefault</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<!-- begin-user-doc -->
 <!-- end-user-doc --></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;org.eclipse.emf.ecore.EClass</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/expressions/impl/SQLExpressionsPackageImpl.html#getSearchCondition()">getSearchCondition</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<!-- begin-user-doc -->
 <!-- end-user-doc --></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;org.eclipse.emf.ecore.EAttribute</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/expressions/impl/SQLExpressionsPackageImpl.html#getSearchConditionDefault_SQL()">getSearchConditionDefault_SQL</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<!-- begin-user-doc -->
 <!-- end-user-doc --></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;org.eclipse.emf.ecore.EClass</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/expressions/impl/SQLExpressionsPackageImpl.html#getSearchConditionDefault()">getSearchConditionDefault</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<!-- begin-user-doc -->
 <!-- end-user-doc --></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/expressions/SQLExpressionsFactory.html">SQLExpressionsFactory</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/expressions/impl/SQLExpressionsPackageImpl.html#getSQLExpressionsFactory()">getSQLExpressionsFactory</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<!-- begin-user-doc -->
 <!-- end-user-doc --></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;org.eclipse.emf.ecore.EClass</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/expressions/impl/SQLExpressionsPackageImpl.html#getValueExpression()">getValueExpression</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<!-- begin-user-doc -->
 <!-- end-user-doc --></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;org.eclipse.emf.ecore.EAttribute</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/expressions/impl/SQLExpressionsPackageImpl.html#getValueExpressionDefault_SQL()">getValueExpressionDefault_SQL</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<!-- begin-user-doc -->
 <!-- end-user-doc --></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;org.eclipse.emf.ecore.EClass</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/expressions/impl/SQLExpressionsPackageImpl.html#getValueExpressionDefault()">getValueExpressionDefault</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<!-- begin-user-doc -->
 <!-- end-user-doc --></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;<A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/expressions/SQLExpressionsPackage.html">SQLExpressionsPackage</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/expressions/impl/SQLExpressionsPackageImpl.html#init()">init</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Creates, registers, and initializes the <b>Package</b> for this
 model, and for any others upon which it depends.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/expressions/impl/SQLExpressionsPackageImpl.html#initializePackageContents()">initializePackageContents</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Complete the initialization of the package and its meta-model.</TD>
</TR>
</TABLE>
&nbsp;<A NAME="methods_inherited_from_class_org.eclipse.emf.ecore.impl.EPackageImpl"><!-- --></A>
<TABLE BORDER="1" CELLPADDING="3" CELLSPACING="0" WIDTH="100%">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TD><B>Methods inherited from class org.eclipse.emf.ecore.impl.EPackageImpl</B></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE>basicSetEFactoryInstance, eBasicRemoveFromContainer, eGet, eInverseAdd, eInverseRemove, eIsSet, eSet, eUnset, freeze, getEClassifier, getEClassifiers, getEFactoryInstance, getESubpackages, getESuperPackage, getExtendedMetaData, getNsPrefix, getNsURI, setEFactoryInstance, setExtendedMetaData, setNamespaceURI, setNsPrefix, setNsURI, toString</CODE></TD>
</TR>
</TABLE>
&nbsp;<A NAME="methods_inherited_from_class_org.eclipse.emf.ecore.impl.ENamedElementImpl"><!-- --></A>
<TABLE BORDER="1" CELLPADDING="3" CELLSPACING="0" WIDTH="100%">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TD><B>Methods inherited from class org.eclipse.emf.ecore.impl.ENamedElementImpl</B></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE>getName, getNameGen, setName</CODE></TD>
</TR>
</TABLE>
&nbsp;<A NAME="methods_inherited_from_class_org.eclipse.emf.ecore.impl.EModelElementImpl"><!-- --></A>
<TABLE BORDER="1" CELLPADDING="3" CELLSPACING="0" WIDTH="100%">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TD><B>Methods inherited from class org.eclipse.emf.ecore.impl.EModelElementImpl</B></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE>eObjectForURIFragmentSegment, eURIFragmentSegment, getEAnnotation, getEAnnotations</CODE></TD>
</TR>
</TABLE>
&nbsp;<A NAME="methods_inherited_from_class_org.eclipse.emf.ecore.impl.EObjectImpl"><!-- --></A>
<TABLE BORDER="1" CELLPADDING="3" CELLSPACING="0" WIDTH="100%">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TD><B>Methods inherited from class org.eclipse.emf.ecore.impl.EObjectImpl</B></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE>eAdapters, eClass, eContainerFeatureID, eDeliver, eIsProxy, eSetClass, eSetDeliver, eSetProxyURI</CODE></TD>
</TR>
</TABLE>
&nbsp;<A NAME="methods_inherited_from_class_org.eclipse.emf.ecore.impl.BasicEObjectImpl"><!-- --></A>
<TABLE BORDER="1" CELLPADDING="3" CELLSPACING="0" WIDTH="100%">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TD><B>Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl</B></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE>eAllContents, eBaseStructuralFeatureID, eBasicSetContainer, eContainer, eContainingFeature, eContainmentFeature, eContains, eContents, eCrossReferences, eDerivedStructuralFeatureID, eDerivedStructuralFeatureID, eDynamicBasicRemoveFromContainer, eDynamicGet, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicIsSet, eDynamicSet, eDynamicUnset, eGet, eInternalResource, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eProxyURI, eResolveProxy, eResource, eSetResource, eSetStore, eSetting, eStore</CODE></TD>
</TR>
</TABLE>
&nbsp;<A NAME="methods_inherited_from_class_org.eclipse.emf.common.notify.impl.BasicNotifierImpl"><!-- --></A>
<TABLE BORDER="1" CELLPADDING="3" CELLSPACING="0" WIDTH="100%">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TD><B>Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl</B></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE>eNotificationRequired, eNotify</CODE></TD>
</TR>
</TABLE>
&nbsp;<A NAME="methods_inherited_from_class_java.lang.Object"><!-- --></A>
<TABLE BORDER="1" CELLPADDING="3" CELLSPACING="0" WIDTH="100%">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TD><B>Methods inherited from class java.lang.Object</B></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE>equals, getClass, hashCode, notify, notifyAll, wait, wait, wait</CODE></TD>
</TR>
</TABLE>
&nbsp;<A NAME="methods_inherited_from_class_org.eclipse.emf.ecore.EPackage"><!-- --></A>
<TABLE BORDER="1" CELLPADDING="3" CELLSPACING="0" WIDTH="100%">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TD><B>Methods inherited from interface org.eclipse.emf.ecore.EPackage</B></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE>getEClassifier, getEClassifiers, getEFactoryInstance, getESubpackages, getESuperPackage, getNsPrefix, getNsURI, setEFactoryInstance, setNsPrefix, setNsURI</CODE></TD>
</TR>
</TABLE>
&nbsp;<A NAME="methods_inherited_from_class_org.eclipse.emf.ecore.ENamedElement"><!-- --></A>
<TABLE BORDER="1" CELLPADDING="3" CELLSPACING="0" WIDTH="100%">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TD><B>Methods inherited from interface org.eclipse.emf.ecore.ENamedElement</B></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE>getName, setName</CODE></TD>
</TR>
</TABLE>
&nbsp;<A NAME="methods_inherited_from_class_org.eclipse.emf.ecore.EModelElement"><!-- --></A>
<TABLE BORDER="1" CELLPADDING="3" CELLSPACING="0" WIDTH="100%">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TD><B>Methods inherited from interface org.eclipse.emf.ecore.EModelElement</B></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE>getEAnnotation, getEAnnotations</CODE></TD>
</TR>
</TABLE>
&nbsp;<A NAME="methods_inherited_from_class_org.eclipse.emf.ecore.EObject"><!-- --></A>
<TABLE BORDER="1" CELLPADDING="3" CELLSPACING="0" WIDTH="100%">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TD><B>Methods inherited from interface org.eclipse.emf.ecore.EObject</B></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE>eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset</CODE></TD>
</TR>
</TABLE>
&nbsp;<A NAME="methods_inherited_from_class_org.eclipse.emf.common.notify.Notifier"><!-- --></A>
<TABLE BORDER="1" CELLPADDING="3" CELLSPACING="0" WIDTH="100%">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TD><B>Methods inherited from interface org.eclipse.emf.common.notify.Notifier</B></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE>eAdapters, eDeliver, eNotify, eSetDeliver</CODE></TD>
</TR>
</TABLE>
&nbsp;<A NAME="methods_inherited_from_class_org.eclipse.emf.ecore.InternalEObject"><!-- --></A>
<TABLE BORDER="1" CELLPADDING="3" CELLSPACING="0" WIDTH="100%">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TD><B>Methods inherited from interface org.eclipse.emf.ecore.InternalEObject</B></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE>eNotificationRequired</CODE></TD>
</TR>
</TABLE>
&nbsp;
<P>

<!-- ============ FIELD DETAIL =========== -->


<!-- ========= CONSTRUCTOR DETAIL ======== -->


<!-- ============ METHOD DETAIL ========== -->

<A NAME="method_detail"><!-- --></A>
<TABLE BORDER="1" CELLPADDING="3" CELLSPACING="0" WIDTH="100%">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TD COLSPAN=1><FONT SIZE="+2">
<B>Method Detail</B></FONT></TD>
</TR>
</TABLE>

<A NAME="init()"><!-- --></A><H3>
init</H3>
<PRE>
public static <A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/expressions/SQLExpressionsPackage.html">SQLExpressionsPackage</A> <B>init</B>()</PRE>
<DL>
<DD>Creates, registers, and initializes the <b>Package</b> for this
 model, and for any others upon which it depends.  Simple
 dependencies are satisfied by calling this method on all
 dependent packages before doing anything else.  This method drives
 initialization for interdependent packages directly, in parallel
 with this package, itself.
 <p>Of this package and its interdependencies, all packages which
 have not yet been registered by their URI values are first created
 and registered.  The packages are then initialized in two steps:
 meta-model objects for all of the packages are created before any
 are initialized, since one package's meta-model objects may refer to
 those of another.
 <p>Invocation of this method will not affect any packages that have
 already been initialized.
 <!-- begin-user-doc -->
 <!-- end-user-doc --><DD><DL>
</DL>
</DD>
<DD><DL>
<DT><B>See Also: </B><DD><A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/expressions/SQLExpressionsPackage.html#eNS_URI"><CODE>SQLExpressionsPackage.eNS_URI</CODE></A>, 
<A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/expressions/impl/SQLExpressionsPackageImpl.html#createPackageContents()"><CODE>createPackageContents()</CODE></A>, 
<A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/expressions/impl/SQLExpressionsPackageImpl.html#initializePackageContents()"><CODE>initializePackageContents()</CODE></A></DL>
</DD>
</DL>
<HR>

<A NAME="getQueryExpression()"><!-- --></A><H3>
getQueryExpression</H3>
<PRE>
public org.eclipse.emf.ecore.EClass <B>getQueryExpression</B>()</PRE>
<DL>
<DD><!-- begin-user-doc -->
 <!-- end-user-doc --><DD><DL>
<DT><B>Specified by: </B><DD><CODE><A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/expressions/SQLExpressionsPackage.html#getQueryExpression()">getQueryExpression</A></CODE> in interface <CODE><A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/expressions/SQLExpressionsPackage.html">SQLExpressionsPackage</A></CODE></DL>
</DD>
<DD>Following copied from interface: <CODE>org.eclipse.wst.rdb.internal.models.sql.expressions.SQLExpressionsPackage</CODE></DD>
<DD><DL>
<DT><B>Returns:</B><DD>the meta object for class '<em>Query Expression</em>'.<DT><B>See Also: </B><DD><A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/expressions/QueryExpression.html"><CODE>QueryExpression</CODE></A></DL>
</DD>
</DL>
<HR>

<A NAME="getValueExpression()"><!-- --></A><H3>
getValueExpression</H3>
<PRE>
public org.eclipse.emf.ecore.EClass <B>getValueExpression</B>()</PRE>
<DL>
<DD><!-- begin-user-doc -->
 <!-- end-user-doc --><DD><DL>
<DT><B>Specified by: </B><DD><CODE><A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/expressions/SQLExpressionsPackage.html#getValueExpression()">getValueExpression</A></CODE> in interface <CODE><A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/expressions/SQLExpressionsPackage.html">SQLExpressionsPackage</A></CODE></DL>
</DD>
<DD>Following copied from interface: <CODE>org.eclipse.wst.rdb.internal.models.sql.expressions.SQLExpressionsPackage</CODE></DD>
<DD><DL>
<DT><B>Returns:</B><DD>the meta object for class '<em>Value Expression</em>'.<DT><B>See Also: </B><DD><A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/expressions/ValueExpression.html"><CODE>ValueExpression</CODE></A></DL>
</DD>
</DL>
<HR>

<A NAME="getSearchCondition()"><!-- --></A><H3>
getSearchCondition</H3>
<PRE>
public org.eclipse.emf.ecore.EClass <B>getSearchCondition</B>()</PRE>
<DL>
<DD><!-- begin-user-doc -->
 <!-- end-user-doc --><DD><DL>
<DT><B>Specified by: </B><DD><CODE><A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/expressions/SQLExpressionsPackage.html#getSearchCondition()">getSearchCondition</A></CODE> in interface <CODE><A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/expressions/SQLExpressionsPackage.html">SQLExpressionsPackage</A></CODE></DL>
</DD>
<DD>Following copied from interface: <CODE>org.eclipse.wst.rdb.internal.models.sql.expressions.SQLExpressionsPackage</CODE></DD>
<DD><DL>
<DT><B>Returns:</B><DD>the meta object for class '<em>Search Condition</em>'.<DT><B>See Also: </B><DD><A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/expressions/SearchCondition.html"><CODE>SearchCondition</CODE></A></DL>
</DD>
</DL>
<HR>

<A NAME="getQueryExpressionDefault()"><!-- --></A><H3>
getQueryExpressionDefault</H3>
<PRE>
public org.eclipse.emf.ecore.EClass <B>getQueryExpressionDefault</B>()</PRE>
<DL>
<DD><!-- begin-user-doc -->
 <!-- end-user-doc --><DD><DL>
<DT><B>Specified by: </B><DD><CODE><A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/expressions/SQLExpressionsPackage.html#getQueryExpressionDefault()">getQueryExpressionDefault</A></CODE> in interface <CODE><A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/expressions/SQLExpressionsPackage.html">SQLExpressionsPackage</A></CODE></DL>
</DD>
<DD>Following copied from interface: <CODE>org.eclipse.wst.rdb.internal.models.sql.expressions.SQLExpressionsPackage</CODE></DD>
<DD><DL>
<DT><B>Returns:</B><DD>the meta object for class '<em>Query Expression Default</em>'.<DT><B>See Also: </B><DD><A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/expressions/QueryExpressionDefault.html"><CODE>QueryExpressionDefault</CODE></A></DL>
</DD>
</DL>
<HR>

<A NAME="getQueryExpressionDefault_SQL()"><!-- --></A><H3>
getQueryExpressionDefault_SQL</H3>
<PRE>
public org.eclipse.emf.ecore.EAttribute <B>getQueryExpressionDefault_SQL</B>()</PRE>
<DL>
<DD><!-- begin-user-doc -->
 <!-- end-user-doc --><DD><DL>
<DT><B>Specified by: </B><DD><CODE><A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/expressions/SQLExpressionsPackage.html#getQueryExpressionDefault_SQL()">getQueryExpressionDefault_SQL</A></CODE> in interface <CODE><A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/expressions/SQLExpressionsPackage.html">SQLExpressionsPackage</A></CODE></DL>
</DD>
<DD>Following copied from interface: <CODE>org.eclipse.wst.rdb.internal.models.sql.expressions.SQLExpressionsPackage</CODE></DD>
<DD><DL>
<DT><B>Returns:</B><DD>the meta object for the attribute '<em>SQL</em>'.<DT><B>See Also: </B><DD><A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/expressions/QueryExpressionDefault.html#getSQL()"><CODE>QueryExpressionDefault.getSQL()</CODE></A>, 
<A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/expressions/SQLExpressionsPackage.html#getQueryExpressionDefault()"><CODE>SQLExpressionsPackage.getQueryExpressionDefault()</CODE></A></DL>
</DD>
</DL>
<HR>

<A NAME="getSearchConditionDefault()"><!-- --></A><H3>
getSearchConditionDefault</H3>
<PRE>
public org.eclipse.emf.ecore.EClass <B>getSearchConditionDefault</B>()</PRE>
<DL>
<DD><!-- begin-user-doc -->
 <!-- end-user-doc --><DD><DL>
<DT><B>Specified by: </B><DD><CODE><A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/expressions/SQLExpressionsPackage.html#getSearchConditionDefault()">getSearchConditionDefault</A></CODE> in interface <CODE><A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/expressions/SQLExpressionsPackage.html">SQLExpressionsPackage</A></CODE></DL>
</DD>
<DD>Following copied from interface: <CODE>org.eclipse.wst.rdb.internal.models.sql.expressions.SQLExpressionsPackage</CODE></DD>
<DD><DL>
<DT><B>Returns:</B><DD>the meta object for class '<em>Search Condition Default</em>'.<DT><B>See Also: </B><DD><A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/expressions/SearchConditionDefault.html"><CODE>SearchConditionDefault</CODE></A></DL>
</DD>
</DL>
<HR>

<A NAME="getSearchConditionDefault_SQL()"><!-- --></A><H3>
getSearchConditionDefault_SQL</H3>
<PRE>
public org.eclipse.emf.ecore.EAttribute <B>getSearchConditionDefault_SQL</B>()</PRE>
<DL>
<DD><!-- begin-user-doc -->
 <!-- end-user-doc --><DD><DL>
<DT><B>Specified by: </B><DD><CODE><A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/expressions/SQLExpressionsPackage.html#getSearchConditionDefault_SQL()">getSearchConditionDefault_SQL</A></CODE> in interface <CODE><A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/expressions/SQLExpressionsPackage.html">SQLExpressionsPackage</A></CODE></DL>
</DD>
<DD>Following copied from interface: <CODE>org.eclipse.wst.rdb.internal.models.sql.expressions.SQLExpressionsPackage</CODE></DD>
<DD><DL>
<DT><B>Returns:</B><DD>the meta object for the attribute '<em>SQL</em>'.<DT><B>See Also: </B><DD><A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/expressions/SearchConditionDefault.html#getSQL()"><CODE>SearchConditionDefault.getSQL()</CODE></A>, 
<A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/expressions/SQLExpressionsPackage.html#getSearchConditionDefault()"><CODE>SQLExpressionsPackage.getSearchConditionDefault()</CODE></A></DL>
</DD>
</DL>
<HR>

<A NAME="getValueExpressionDefault()"><!-- --></A><H3>
getValueExpressionDefault</H3>
<PRE>
public org.eclipse.emf.ecore.EClass <B>getValueExpressionDefault</B>()</PRE>
<DL>
<DD><!-- begin-user-doc -->
 <!-- end-user-doc --><DD><DL>
<DT><B>Specified by: </B><DD><CODE><A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/expressions/SQLExpressionsPackage.html#getValueExpressionDefault()">getValueExpressionDefault</A></CODE> in interface <CODE><A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/expressions/SQLExpressionsPackage.html">SQLExpressionsPackage</A></CODE></DL>
</DD>
<DD>Following copied from interface: <CODE>org.eclipse.wst.rdb.internal.models.sql.expressions.SQLExpressionsPackage</CODE></DD>
<DD><DL>
<DT><B>Returns:</B><DD>the meta object for class '<em>Value Expression Default</em>'.<DT><B>See Also: </B><DD><A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/expressions/ValueExpressionDefault.html"><CODE>ValueExpressionDefault</CODE></A></DL>
</DD>
</DL>
<HR>

<A NAME="getValueExpressionDefault_SQL()"><!-- --></A><H3>
getValueExpressionDefault_SQL</H3>
<PRE>
public org.eclipse.emf.ecore.EAttribute <B>getValueExpressionDefault_SQL</B>()</PRE>
<DL>
<DD><!-- begin-user-doc -->
 <!-- end-user-doc --><DD><DL>
<DT><B>Specified by: </B><DD><CODE><A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/expressions/SQLExpressionsPackage.html#getValueExpressionDefault_SQL()">getValueExpressionDefault_SQL</A></CODE> in interface <CODE><A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/expressions/SQLExpressionsPackage.html">SQLExpressionsPackage</A></CODE></DL>
</DD>
<DD>Following copied from interface: <CODE>org.eclipse.wst.rdb.internal.models.sql.expressions.SQLExpressionsPackage</CODE></DD>
<DD><DL>
<DT><B>Returns:</B><DD>the meta object for the attribute '<em>SQL</em>'.<DT><B>See Also: </B><DD><A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/expressions/ValueExpressionDefault.html#getSQL()"><CODE>ValueExpressionDefault.getSQL()</CODE></A>, 
<A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/expressions/SQLExpressionsPackage.html#getValueExpressionDefault()"><CODE>SQLExpressionsPackage.getValueExpressionDefault()</CODE></A></DL>
</DD>
</DL>
<HR>

<A NAME="getSQLExpressionsFactory()"><!-- --></A><H3>
getSQLExpressionsFactory</H3>
<PRE>
public <A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/expressions/SQLExpressionsFactory.html">SQLExpressionsFactory</A> <B>getSQLExpressionsFactory</B>()</PRE>
<DL>
<DD><!-- begin-user-doc -->
 <!-- end-user-doc --><DD><DL>
<DT><B>Specified by: </B><DD><CODE><A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/expressions/SQLExpressionsPackage.html#getSQLExpressionsFactory()">getSQLExpressionsFactory</A></CODE> in interface <CODE><A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/expressions/SQLExpressionsPackage.html">SQLExpressionsPackage</A></CODE></DL>
</DD>
<DD>Following copied from interface: <CODE>org.eclipse.wst.rdb.internal.models.sql.expressions.SQLExpressionsPackage</CODE></DD>
<DD><DL>
<DT><B>Returns:</B><DD>the factory that creates the instances of the model.</DL>
</DD>
</DL>
<HR>

<A NAME="createPackageContents()"><!-- --></A><H3>
createPackageContents</H3>
<PRE>
public void <B>createPackageContents</B>()</PRE>
<DL>
<DD>Creates the meta-model objects for the package.  This method is
 guarded to have no affect on any invocation but its first.
 <!-- begin-user-doc -->
 <!-- end-user-doc --><DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="initializePackageContents()"><!-- --></A><H3>
initializePackageContents</H3>
<PRE>
public void <B>initializePackageContents</B>()</PRE>
<DL>
<DD>Complete the initialization of the package and its meta-model.  This
 method is guarded to have no affect on any invocation but its first.
 <!-- begin-user-doc -->
 <!-- end-user-doc --><DD><DL>
</DL>
</DD>
</DL>
<!-- ========= END OF CLASS DATA ========= -->
<HR>

<!-- ========== START OF NAVBAR ========== -->
<A NAME="navbar_bottom"><!-- --></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0">
<TR>
<TD COLSPAN=2 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_bottom_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../../../../../overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-summary.html"><FONT CLASS="NavBarFont1"><B>Package</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<FONT CLASS="NavBarFont1Rev"><B>Class</B></FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="class-use/SQLExpressionsPackageImpl.html"><FONT CLASS="NavBarFont1"><B>Use</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-tree.html"><FONT CLASS="NavBarFont1"><B>Tree</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../../../../../deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../../../../../index-files/index-1.html"><FONT CLASS="NavBarFont1"><B>Index</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../../../../../help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
</EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;<A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/expressions/impl/SQLExpressionsFactoryImpl.html"><B>PREV CLASS</B></A>&nbsp;
&nbsp;<A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/expressions/impl/ValueExpressionDefaultImpl.html"><B>NEXT CLASS</B></A></FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="../../../../../../../../../index.html" TARGET="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="SQLExpressionsPackageImpl.html" TARGET="_top"><B>NO FRAMES</B></A></FONT></TD>
</TR>
<TR>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
  SUMMARY: &nbsp;<A HREF="#inner_classes_inherited_from_class_org.eclipse.emf.common.notify.impl.BasicNotifierImpl">INNER</A>&nbsp;|&nbsp;<A HREF="#fields_inherited_from_class_org.eclipse.emf.ecore.impl.EObjectImpl">FIELD</A>&nbsp;|&nbsp;CONSTR&nbsp;|&nbsp;<A HREF="#method_summary">METHOD</A></FONT></TD>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
DETAIL: &nbsp;FIELD&nbsp;|&nbsp;CONSTR&nbsp;|&nbsp;<A HREF="#method_detail">METHOD</A></FONT></TD>
</TR>
</TABLE>
<!-- =========== END OF NAVBAR =========== -->

<HR>

</BODY>
</HTML>
